Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Class WLTimerInfo

    java.lang.Object
      weblogic.ejb.WLTimerInfo

public final class WLTimerInfo
extends Object

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `DISABLE_TIMER_ACTION`
`static int` | `REMOVE_TIMER_ACTION`
`static int` | `SKIP_TIMEOUT_ACTION`

Constructor Summary
`WLTimerInfo()`

Method Summary
`int` | `getMaxRetryAttempts()`
`int` | `getMaxTimeouts()`
`long` | `getRetryDelay()`
`int` | `getTimeoutFailureAction()`
`void` | `setMaxRetryAttempts(int retries)` Sets the maximum number of retry attempts that will be performed for this Timer.
`void` | `setMaxTimeouts(int max)` Sets the maximum number of timeouts that can occur for this timer.
`void` | `setRetryDelay(long millis)` Sets the number of milliseconds that should elapse before any retry attempts are made.
`void` | `setTimeoutFailureAction(int action)` Sets the action the container will take when ejbTimeout and all retry attempts fail.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISABLE_TIMER_ACTION

    public static final int DISABLE_TIMER_ACTION

See Also:
  Constant Field Values

### REMOVE_TIMER_ACTION

    public static final int REMOVE_TIMER_ACTION

See Also:
  Constant Field Values

### SKIP_TIMEOUT_ACTION

    public static final int SKIP_TIMEOUT_ACTION

See Also:
  Constant Field Values

Constructor Detail

### WLTimerInfo

    public WLTimerInfo()

Method Detail

### getMaxRetryAttempts

    public int getMaxRetryAttempts()

### getMaxTimeouts

    public int getMaxTimeouts()

### getRetryDelay

    public long getRetryDelay()

### getTimeoutFailureAction

    public int getTimeoutFailureAction()

### setMaxRetryAttempts

    public void setMaxRetryAttempts(int retries)

  Sets the maximum number of retry attempts that will be performed for this Timer. If all retry attempts are unsuccesful, the timeout failure action will be executed. A value of -1 indicates no maximum is set.

### setMaxTimeouts

    public void setMaxTimeouts(int max)

  Sets the maximum number of timeouts that can occur for this timer. After the specified number of timeouts have occurred successfully, the timer will be cancelled.

### setRetryDelay

    public void setRetryDelay(long millis)

  Sets the number of milliseconds that should elapse before any retry attempts are made.

### setTimeoutFailureAction

    public void setTimeoutFailureAction(int action)

  Sets the action the container will take when ejbTimeout and all retry attempts fail. The REMOVE_TIMER_ACTION, DISABLE_TIMER_ACTION and SKIP_TIMEOUT_ACTION fields of this interface define the possible values. For non-interval Timers, the SKIP_TIMEOUT_ACTION has the same affect as REMOVE_TIMER_ACTION. Note that the timeout failure action will never be used if the ejbTimeout method has a transaction attribute of REQUIRES_NEW and maxRetryAttempts is not greater than or equal to 0. In this case, the Timer will be retried indefinitely.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD